Page MenuHomePhabricator

afl_log_id index on abuse_filter_log table should be unique
Closed, ResolvedPublic

Description

During the https://gerrit.wikimedia.org/r/40329 (rEABF2fcb9e51dfa218534d2), Bryan noticed the following index should be unique:

afl_log_id abuse_filter_log(afl_log_id)


Version: REL1_20-branch
See Also:
T40371: Impossible to install AbuseFilter with SQLite
T46790: Sqlite category table contains duplicates in unit tests

Details

Reference
bz43507

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:12 AM
bzimport set Reference to bz43507.
bzimport added a subscriber: Unknown Object (MLST).
waldyrious added a comment.EditedMay 12 2014, 10:33 AM

Could bug 44790 comment 6 be relevant here? It says:

The relying on the unique index changed with I7e6d07e42cc06cedbd9d10ed9f276f20636dc222

Danny_B moved this task from Unsorted to Change on the Schema-change board.Apr 29 2016, 10:25 PM
Amire80 moved this task from Backlog to Internal bugs on the AbuseFilter board.May 8 2016, 9:01 AM
Krinkle closed this task as Resolved.Apr 18 2017, 9:28 PM
Krinkle updated the task description. (Show Details)
Krinkle removed a subscriber: wikibugs-l-list.